## xcwd 0~1.gbp3f0728b

=== Makefile ===
CFILES=xcwd.c
CC=gcc
CFLAGS=-Wall -Wextra -std=gnu99 -O2
LDFLAGS=-lX11
EXE="xcwd"
prefix=/usr
UNAME:=$(shell uname)
O=${CFILES:.c=.o}

ifeq ($(UNAME), Linux)
    CFLAGS += -DLINUX
else
    ifeq ($(UNAME), FreeBSD)
        CFLAGS += -I/usr/local/include/ -DBSD
        LDFLAGS += -L/usr/local/lib -lutil
    else
        $(error Operating System not supported.)
    endif
endif

${EXE}: clean ${O}
	${CC} -o $@ ${O} ${CFLAGS} ${LDFLAGS}

.SUFFIXES: .c .o
.c.o:
	${CC} -c $< ${CFLAGS}

clean:
	rm -vf *.o

distclean: clean
	rm -vf ${EXE}

install: ${EXE}
	install -m 0755 ${EXE} $(prefix)/bin

=== debian/changelog ===
xcwd (0~1.gbp3f0728b-1) unstable; urgency=medium

  ** SNAPSHOT build @3f0728b932904985b703b33bd5c936ea96cf15a0 **

  * Initial release. (Closes: #880570)

 -- Benjamin Barenblat <bbaren@debian.org>  Tue, 06 Mar 2018 18:00:34 -0500

=== debian/control ===
Source: xcwd
Section: x11
Priority: optional
Maintainer: Benjamin Barenblat <bbaren@debian.org>
Build-Depends:
 debhelper (>= 10),
 libx11-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/schischi/xcwd
Vcs-Browser: https://benjamin.barenblat.name/git/debian-xcwd.git
Vcs-Git: https://benjamin.barenblat.name/git/debian-xcwd.git

Package: xcwd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xserver-xorg-core
Description: print the current working directory of the focused window
 xcwd is a simple tool which prints the current working directory of the
 focused window. It's useful for launching applications directly into the
 same directory as the focused application.

## xcwd 0~2.gbpe2c777c

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,13 @@
 CC=gcc
 CFLAGS=-Wall -Wextra -std=gnu99 -O2
 LDFLAGS=-lX11
-EXE="xcwd"
+EXE=xcwd
 prefix=/usr
 UNAME:=$(shell uname)
 O=${CFILES:.c=.o}
+
+.PHONY: all clean distclean install
+.SUFFIXES: .c .o
 
 ifeq ($(UNAME), Linux)
     CFLAGS += -DLINUX
@@ -18,12 +21,7 @@
     endif
 endif
 
-${EXE}: clean ${O}
-	${CC} -o $@ ${O} ${CFLAGS} ${LDFLAGS}
-
-.SUFFIXES: .c .o
-.c.o:
-	${CC} -c $< ${CFLAGS}
+all: ${EXE}
 
 clean:
 	rm -vf *.o
@@ -34,3 +32,11 @@
 install: ${EXE}
 	install -m 0755 ${EXE} $(prefix)/bin
 
+
+${EXE}: ${O}
+	${CC} -o $@ ${O} ${CFLAGS} ${LDFLAGS}
+
+
+.c.o:
+	${CC} -c $< ${CFLAGS}
+

=== debian/changelog ===
xcwd (0~2.gbpe2c777c-1) unstable; urgency=medium

  ** SNAPSHOT build @e2c777cbf3a226522a4871f97916f0cb0bee3688 **

  * New snapshot in preparation for buster release.

 -- Benjamin Barenblat <bbaren@debian.org>  Fri, 23 Nov 2018 11:31:37 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper (>= 10),
  libx11-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/schischi/xcwd
 Vcs-Browser: https://benjamin.barenblat.name/git/debian-xcwd.git
 Vcs-Git: https://benjamin.barenblat.name/git/debian-xcwd.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Do the installation manually.
.PHONY: override_dh_auto_install
override_dh_auto_install: ;

=== debian/watch ===
# Upstream does not cut releases at this point – only Git snapshots.
# Consequently, constructing a suitable watch file is impossible.
#
#  -- Benjamin Barenblat <bbaren@debian.org>  Tue, 06 Mar 2018 18:00:34 -0500
